Intermittent test_peerConnection_addSecondVideoStreamNoBundle.html | iceconnectionstate event 'failed' matches expected state 'checking' - got failed, expected checking

RESOLVED WORKSFORME

Status

()

Core
WebRTC: Networking
P4
normal
Rank:
35
RESOLVED WORKSFORME
3 years ago
21 days ago

People

(Reporter: KWierso, Unassigned)

Tracking

({intermittent-failure})

39 Branch
ARM
Android
intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

3 years ago
14:22:19 INFO - 11 INFO TEST-START | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html
14:23:20 INFO - <snipped 484 output lines - if you need more context, please use SimpleTest.requestCompleteLog() in your test>
14:23:20 INFO - 12 INFO expected video tracks: 2
14:23:20 INFO - 13 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | video m-line is present in SDP
14:23:20 INFO - 14 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | VP8 codec is present in SDP
14:23:20 INFO - 15 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | RTCP Mux is offered in SDP
14:23:20 INFO - 16 INFO Run step 71: PC_REMOTE_CREATE_ANSWER
14:23:20 INFO - 17 INFO PeerConnectionWrapper (pcRemote): Got answer: {"type":"answer","sdp":"v=0\r\no=mozilla...THIS_IS_SDPARTA-39.0a1 2542068128496444009 0 IN IP4 0.0.0.0\r\ns=-\r\nt=0 0\r\na=fingerprint:sha-256 B3:7F:D3:DE:3D:65:E4:1C:F6:4C:C8:6E:2A:F4:C3:65:E2:42:40:9F:D5:E6:98:3F:C4:26:CB:DC:F5:82:12:04\r\na=ice-options:trickle\r\na=msid-semantic:WMS *\r\nm=video 9 RTP/SAVPF 120\r\nc=IN IP4 0.0.0.0\r\na=sendrecv\r\na=fmtp:120 max-fs=12288;max-fr=60\r\na=ice-pwd:0165dd6eb1d078dfe60821953e2131e0\r\na=ice-ufrag:9ee3ad4b\r\na=mid:sdparta_0\r\na=msid:{3180c0ee-89bf-4cd3-8488-9ca2e023a9ef} {dc9993aa-a7ac-4dd7-aa8b-a5bfee93db20}\r\na=rtcp-fb:120 nack\r\na=rtcp-fb:120 nack pli\r\na=rtcp-fb:120 ccm fir\r\na=rtcp-mux\r\na=rtpmap:120 VP8/90000\r\na=setup:active\r\na=ssrc:533114939 cname:{8cb360ce-d0e8-4771-b3cf-967de9e75ac9}\r\nm=video 9 RTP/SAVPF 120\r\nc=IN IP4 0.0.0.0\r\na=recvonly\r\na=fmtp:120 max-fs=12288;max-fr=60\r\na=ice-pwd:0165dd6eb1d078dfe60821953e2131e0\r\na=ice-ufrag:9ee3ad4b\r\na=mid:sdparta_1\r\na=rtcp-fb:120 nack\r\na=rtcp-fb:120 nack pli\r\na=rtcp-fb:120 ccm fir\r\na=rtcp-mux\r\na=rtpmap:120 VP8/90000\r\na=setup:active\r\n"}
14:23:20 INFO - 18 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | Remote createAnswer does not change signaling state
14:23:20 INFO - 19 INFO Run step 72: PC_REMOTE_CHECK_FOR_DUPLICATED_PORTS_IN_SDP
14:23:20 INFO - 20 INFO regexArray: a=candidate:0 1 UDP 2130444543 10.26.128.93 33197 typ host,UDP,10.26.128.93,33197
14:23:20 INFO - 21 INFO triple: UDP:10.26.128.93:33197
14:23:20 INFO - 22 INFO regexArray: a=candidate:0 2 UDP 2130444542 10.26.128.93 41023 typ host,UDP,10.26.128.93,41023
14:23:20 INFO - 23 INFO triple: UDP:10.26.128.93:41023
14:23:20 INFO - 24 INFO Offer ICE host candidates: ["UDP:10.26.128.93:33197","UDP:10.26.128.93:41023"]
14:23:20 INFO - 25 INFO Answer ICE host candidates: []
14:23:20 INFO - 26 INFO Run step 73: PC_REMOTE_SET_LOCAL_DESCRIPTION
14:23:20 INFO - 27 INFO PeerConnectionWrapper (pcRemote): "onsignalingstatechange" event fired
14:23:20 INFO - 28 INFO PeerConnectionWrapper (pcRemote): 'signalingstatechange' event received
14:23:20 INFO - 29 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | PeerConnectionWrapper (pcRemote): legal signaling state transition from have-remote-offer to stable
14:23:20 INFO - 30 INFO PeerConnectionWrapper (pcRemote): Successfully set the local description
14:23:20 INFO - 31 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | signalingState after remote setLocalDescription is 'stable'
14:23:20 INFO - 32 INFO Run step 74: PC_LOCAL_GET_ANSWER
14:23:20 INFO - 33 INFO Run step 75: PC_LOCAL_SET_REMOTE_DESCRIPTION
14:23:20 INFO - 34 INFO PeerConnectionWrapper (pcLocal): "onsignalingstatechange" event fired
14:23:20 INFO - 35 INFO PeerConnectionWrapper (pcLocal): 'signalingstatechange' event received
14:23:20 INFO - 36 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | PeerConnectionWrapper (pcLocal): legal signaling state transition from have-local-offer to stable
14:23:20 INFO - 37 INFO Run step 76: PC_REMOTE_SANE_LOCAL_SDP
14:23:20 INFO - 38 INFO Examining this SessionDescription: {"type":"answer","sdp":"v=0\r\no=mozilla...THIS_IS_SDPARTA-39.0a1 2542068128496444009 0 IN IP4 0.0.0.0\r\ns=-\r\nt=0 0\r\na=fingerprint:sha-256 B3:7F:D3:DE:3D:65:E4:1C:F6:4C:C8:6E:2A:F4:C3:65:E2:42:40:9F:D5:E6:98:3F:C4:26:CB:DC:F5:82:12:04\r\na=ice-options:trickle\r\na=msid-semantic:WMS *\r\nm=video 9 RTP/SAVPF 120\r\nc=IN IP4 0.0.0.0\r\na=sendrecv\r\na=fmtp:120 max-fs=12288;max-fr=60\r\na=ice-pwd:0165dd6eb1d078dfe60821953e2131e0\r\na=ice-ufrag:9ee3ad4b\r\na=mid:sdparta_0\r\na=msid:{3180c0ee-89bf-4cd3-8488-9ca2e023a9ef} {dc9993aa-a7ac-4dd7-aa8b-a5bfee93db20}\r\na=rtcp-fb:120 nack\r\na=rtcp-fb:120 nack pli\r\na=rtcp-fb:120 ccm fir\r\na=rtcp-mux\r\na=rtpmap:120 VP8/90000\r\na=setup:active\r\na=ssrc:533114939 cname:{8cb360ce-d0e8-4771-b3cf-967de9e75ac9}\r\nm=video 9 RTP/SAVPF 120\r\nc=IN IP4 0.0.0.0\r\na=recvonly\r\na=fmtp:120 max-fs=12288;max-fr=60\r\na=ice-pwd:0165dd6eb1d078dfe60821953e2131e0\r\na=ice-ufrag:9ee3ad4b\r\na=mid:sdparta_1\r\na=rtcp-fb:120 nack\r\na=rtcp-fb:120 nack pli\r\na=rtcp-fb:120 ccm fir\r\na=rtcp-mux\r\na=rtpmap:120 VP8/90000\r\na=setup:active\r\n"}
14:23:20 INFO - 39 INFO offerConstraintsList: [{"video":true},{"video":true}]
14:23:20 INFO - 40 INFO offerOptions: {}
14:23:20 INFO - 41 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | SessionDescription is not null
14:23:20 INFO - 42 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | SessionDescription type is answer
14:23:20 INFO - 43 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | SessionDescription body length is plausible
14:23:20 INFO - 44 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | ICE username is present in SDP
14:23:20 INFO - 45 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | ICE password is present in SDP
14:23:20 INFO - 46 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | ICE fingerprint is present in SDP
14:23:20 INFO - 47 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | loopback interface is absent from SDP
14:23:20 INFO - 48 INFO at least one ICE candidate is present in SDP
14:23:20 INFO - 49 INFO expected audio tracks: 0
14:23:20 INFO - 50 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | audio m-line is absent from SDP
14:23:20 INFO - 51 INFO expected video tracks: 2
14:23:20 INFO - 52 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | video m-line is present in SDP
14:23:20 INFO - 53 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | VP8 codec is present in SDP
14:23:20 INFO - 54 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | RTCP Mux is offered in SDP
14:23:20 INFO - 55 INFO PeerConnectionWrapper (pcLocal): Successfully set remote description
14:23:20 INFO - 56 INFO Run step 77: PC_LOCAL_SANE_REMOTE_SDP
14:23:20 INFO - 57 INFO Examining this SessionDescription: {"type":"answer","sdp":"v=0\r\no=mozilla...THIS_IS_SDPARTA-39.0a1 2542068128496444009 0 IN IP4 0.0.0.0\r\ns=-\r\nt=0 0\r\na=fingerprint:sha-256 B3:7F:D3:DE:3D:65:E4:1C:F6:4C:C8:6E:2A:F4:C3:65:E2:42:40:9F:D5:E6:98:3F:C4:26:CB:DC:F5:82:12:04\r\na=ice-options:trickle\r\na=msid-semantic:WMS *\r\nm=video 9 RTP/SAVPF 120\r\nc=IN IP4 0.0.0.0\r\na=sendrecv\r\na=fmtp:120 max-fs=12288;max-fr=60\r\na=ice-pwd:0165dd6eb1d078dfe60821953e2131e0\r\na=ice-ufrag:9ee3ad4b\r\na=mid:sdparta_0\r\na=msid:{3180c0ee-89bf-4cd3-8488-9ca2e023a9ef} {dc9993aa-a7ac-4dd7-aa8b-a5bfee93db20}\r\na=rtcp-fb:120 nack\r\na=rtcp-fb:120 nack pli\r\na=rtcp-fb:120 ccm fir\r\na=rtcp-mux\r\na=rtpmap:120 VP8/90000\r\na=setup:active\r\na=ssrc:533114939 cname:{8cb360ce-d0e8-4771-b3cf-967de9e75ac9}\r\nm=video 9 RTP/SAVPF 120\r\nc=IN IP4 0.0.0.0\r\na=recvonly\r\na=fmtp:120 max-fs=12288;max-fr=60\r\na=ice-pwd:0165dd6eb1d078dfe60821953e2131e0\r\na=ice-ufrag:9ee3ad4b\r\na=mid:sdparta_1\r\na=rtcp-fb:120 nack\r\na=rtcp-fb:120 nack pli\r\na=rtcp-fb:120 ccm fir\r\na=rtcp-mux\r\na=rtpmap:120 VP8/90000\r\na=setup:active\r\n"}
14:23:20 INFO - 58 INFO offerConstraintsList: [{"video":true},{"video":true}]
14:23:20 INFO - 59 INFO offerOptions: {}
14:23:20 INFO - 60 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | SessionDescription is not null
14:23:20 INFO - 61 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | SessionDescription type is answer
14:23:20 INFO - 62 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | SessionDescription body length is plausible
14:23:20 INFO - 63 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | ICE username is present in SDP
14:23:20 INFO - 64 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | ICE password is present in SDP
14:23:20 INFO - 65 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | ICE fingerprint is present in SDP
14:23:20 INFO - 66 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | loopback interface is absent from SDP
14:23:20 INFO - 67 INFO at least one ICE candidate is present in SDP
14:23:20 INFO - 68 INFO expected audio tracks: 0
14:23:20 INFO - 69 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | audio m-line is absent from SDP
14:23:20 INFO - 70 INFO expected video tracks: 2
14:23:20 INFO - 71 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | video m-line is present in SDP
14:23:20 INFO - 72 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | VP8 codec is present in SDP
14:23:20 INFO - 73 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | RTCP Mux is offered in SDP
14:23:20 INFO - 74 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | signalingState after local setRemoteDescription is 'stable'
14:23:20 INFO - 75 INFO Run step 78: PC_LOCAL_WAIT_FOR_ICE_CONNECTED
14:23:20 INFO - 76 INFO PeerConnectionWrapper (pcRemote): 'onaddstream' event fired for {}
14:23:20 INFO - 77 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | track id {8b4ca0e0-a756-42e2-9ab4-d55b1c7f4d04} was expected
14:23:20 INFO - 78 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | track id {8b4ca0e0-a756-42e2-9ab4-d55b1c7f4d04} was not yet observed
14:23:20 INFO - 79 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | track id {8b4ca0e0-a756-42e2-9ab4-d55b1c7f4d04} was of kind video, which matches video
14:23:20 INFO - 80 INFO PeerConnectionWrapper (pcRemote) remote stream {eb1dfc7e-e389-4c38-beb7-4f752c7cecb8} with video track {8b4ca0e0-a756-42e2-9ab4-d55b1c7f4d04}
14:23:20 INFO - 81 INFO Got media stream: video (remote)
14:23:20 INFO - 82 INFO timeupdate fired for media element pcLocal_local3_video
14:23:20 INFO - 83 INFO time passed for media element pcLocal_local3_video
14:23:20 INFO - 84 INFO canplaythrough fired for media element pcLocal_local3_video
14:23:20 INFO - 85 INFO pcLocal: iceCandidate = {"candidate":"candidate:0 1 UDP 2130444543 10.26.128.93 33639 typ host","sdpMid":"","sdpMLineIndex":1}
14:23:20 INFO - 86 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | ICE candidate contains candidate
14:23:20 INFO - 87 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | SDP MID has length zero
14:23:20 INFO - 88 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | SDP MLine Index needs to exist
14:23:20 INFO - 89 INFO Received: {"candidate":"candidate:0 1 UDP 2130444543 10.26.128.93 33639 typ host","sdpMid":"","sdpMLineIndex":1} from pcLocal
14:23:20 INFO - 90 INFO PeerConnectionWrapper (pcRemote): adding ICE candidate {"candidate":"candidate:0 1 UDP 2130444543 10.26.128.93 33639 typ host","sdpMid":"","sdpMLineIndex":1}
14:23:20 INFO - 91 INFO PeerConnectionWrapper (pcRemote): Successfully added an ICE candidate
14:23:20 INFO - 92 INFO pcLocal: iceCandidate = {"candidate":"candidate:0 2 UDP 2130444542 10.26.128.93 51061 typ host","sdpMid":"","sdpMLineIndex":1}
14:23:20 INFO - 93 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | ICE candidate contains candidate
14:23:20 INFO - 94 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | SDP MID has length zero
14:23:20 INFO - 95 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | SDP MLine Index needs to exist
14:23:20 INFO - 96 INFO Received: {"candidate":"candidate:0 2 UDP 2130444542 10.26.128.93 51061 typ host","sdpMid":"","sdpMLineIndex":1} from pcLocal
14:23:20 INFO - 97 INFO PeerConnectionWrapper (pcRemote): adding ICE candidate {"candidate":"candidate:0 2 UDP 2130444542 10.26.128.93 51061 typ host","sdpMid":"","sdpMLineIndex":1}
14:23:20 INFO - 98 INFO PeerConnectionWrapper (pcRemote): Successfully added an ICE candidate
14:23:20 INFO - 99 INFO pcLocal: received end of trickle ICE event
14:23:20 INFO - 100 INFO pcRemote: iceCandidate = {"candidate":"candidate:0 1 UDP 2130444543 10.26.128.93 37128 typ host","sdpMid":"","sdpMLineIndex":1}
14:23:20 INFO - 101 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | ICE candidate contains candidate
14:23:20 INFO - 102 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | SDP MID has length zero
14:23:20 INFO - 103 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | SDP MLine Index needs to exist
14:23:20 INFO - 104 INFO Received: {"candidate":"candidate:0 1 UDP 2130444543 10.26.128.93 37128 typ host","sdpMid":"","sdpMLineIndex":1} from pcRemote
14:23:20 INFO - 105 INFO PeerConnectionWrapper (pcLocal): adding ICE candidate {"candidate":"candidate:0 1 UDP 2130444543 10.26.128.93 37128 typ host","sdpMid":"","sdpMLineIndex":1}
14:23:20 INFO - 106 INFO PeerConnectionWrapper (pcLocal): Successfully added an ICE candidate
14:23:20 INFO - 107 INFO pcRemote: received end of trickle ICE event
14:23:20 INFO - 108 INFO timeupdate fired for media element pcRemote_remote3_video
14:23:20 INFO - 109 INFO time passed for media element pcRemote_remote3_video
14:23:20 INFO - 110 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | iceConnectionState should not be undefined
14:23:20 INFO - 111 INFO PeerConnectionWrapper (pcRemote): oniceconnectionstatechange fired, new state is: failed
14:23:20 INFO - 112 INFO TEST-UNEXPECTED-FAIL | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | iceconnectionstate event 'failed' matches expected state 'checking' - got failed, expected checking
14:23:20 INFO - 113 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | iceConnectionState should not be undefined
14:23:20 INFO - 114 INFO PeerConnectionWrapper (pcLocal): oniceconnectionstatechange fired, new state is: checking
14:23:20 INFO - 115 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | iceconnectionstate event 'checking' matches expected state 'checking'
14:23:20 INFO - 116 INFO PeerConnectionWrapper (pcLocal): iceConnectionState = checking
14:23:20 INFO - 117 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | iceConnectionState should not be undefined
14:23:20 INFO - 118 INFO PeerConnectionWrapper (pcLocal): oniceconnectionstatechange fired, new state is: connected
14:23:20 INFO - 119 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | PeerConnectionWrapper (pcLocal): legal ICE state transition from checking to connected
14:23:20 INFO - 120 INFO PeerConnectionWrapper (pcLocal): iceConnectionState = connected
14:23:20 INFO - 121 INFO PeerConnectionWrapper (pcLocal): ICE connection state log: new,checking,connected,checking,connected
14:23:20 INFO - 122 INFO PeerConnectionWrapper (pcLocal): iceConnectionState = connected
14:23:20 INFO - 123 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | PeerConnectionWrapper (pcLocal): ICE switched to 'connected' state
14:23:20 INFO - 124 INFO Run step 79: PC_REMOTE_WAIT_FOR_ICE_CONNECTED
14:23:20 INFO - 125 INFO PeerConnectionWrapper (pcRemote): iceConnectionState = failed
14:23:20 INFO - 126 INFO TEST-UNEXPECTED-FAIL | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | PeerConnectionWrapper (pcRemote): ICE is already in bad state: failed - expected PASS
14:23:20 INFO - 127 INFO TEST-UNEXPECTED-FAIL | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | Error in test execution: Error: PeerConnectionWrapper (pcRemote): ICE is already in bad state: failed waitForIceConnected@http://mochi.test:8888/tests/dom/media/tests/mochitest/templates.js:77:29 ... PC_REMOTE_WAIT_FOR_ICE_CONNECTED@http://mochi.test:8888/tests/dom/media/tests/mochitest/templates.js:459:12 ... CommandChain.prototype.execute/</<@http://mochi.test:8888/tests/dom/media/tests/mochitest/head.js:353:31 ... - expected PASS
14:23:20 INFO - 128 INFO TEST-FAIL | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | The author of the test has indicated that flaky timeouts are expected. Reason: WebRTC inherently depends on timeouts
14:23:20 INFO - 129 INFO Closing peer connections
14:23:20 INFO - 130 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | iceConnectionState should not be undefined
14:23:20 INFO - 131 INFO PeerConnectionWrapper (pcLocal): oniceconnectionstatechange fired, new state is: closed
14:23:20 INFO - 132 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | PeerConnectionWrapper (pcLocal): legal ICE state transition from connected to closed
14:23:20 INFO - 133 INFO PeerConnectionWrapper (pcLocal): "onsignalingstatechange" event fired
14:23:20 INFO - 134 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | signalingState is closed
14:23:20 INFO - 135 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | PeerConnectionWrapper (pcLocal): legal signaling state transition from stable to closed
14:23:20 INFO - 136 INFO PeerConnectionWrapper (pcLocal): Closed connection.
14:23:20 INFO - 137 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | iceConnectionState should not be undefined
14:23:20 INFO - 138 INFO PeerConnectionWrapper (pcRemote): oniceconnectionstatechange fired, new state is: closed
14:23:20 INFO - 139 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | PeerConnectionWrapper (pcRemote): legal ICE state transition from failed to closed
14:23:20 INFO - 140 INFO PeerConnectionWrapper (pcRemote): "onsignalingstatechange" event fired
14:23:20 INFO - 141 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | signalingState is closed
14:23:20 INFO - 142 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | PeerConnectionWrapper (pcRemote): legal signaling state transition from stable to closed
14:23:20 INFO - 143 INFO PeerConnectionWrapper (pcRemote): Closed connection.
14:23:20 INFO - 144 INFO TEST-FAIL | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | The author of the test has indicated that flaky timeouts are expected. Reason: WebRTC inherently depends on timeouts
14:23:20 INFO - 145 INFO MEMORY STAT vsize after test: 1028370432
14:23:20 INFO - 146 INFO MEMORY STAT residentFast after test: 396148736
14:23:20 INFO - 147 INFO MEMORY STAT heapAllocated after test: 190118576 
14:23:20 INFO - 148 INFO TEST-OK | dom/media/tests/mochitest/test_peerConnection_addSecondVideoStreamNoBundle.html | took 15986ms
14:23:20 INFO - 149 INFO TEST-START | dom/media/tests/mochitest/test_peerConnection_answererAddSecondAudioStream.html
14:23:20 INFO - 150 INFO TEST-OK | dom/media/tests/mochitest/test_peerConnection_answererAddSecondAudioStream.html | took 6535ms
14:23:20 INFO - 151 INFO TEST-START | dom/media/tests/mochitest/test_peerConnection_basicAudioVideoCombined.html
14:23:20 INFO - 152 INFO TEST-OK | dom/media/tests/mochitest/test_peerConnection_basicAudioVideoCombined.html | took 10840ms
14:23:20 INFO - 153 INFO TEST-START | dom/media/tests/mochitest/test_peerConnection_basicAudioVideoNoBundle.html
14:23:20 INFO - 154 INFO TEST-OK | dom/media/tests/mochitest/test_peerConnection_basicAudioVideoNoBundle.html | took 11347ms
14:23:20 INFO - 155 INFO TEST-START | dom/media/tests/mochitest/test_peerConnection_basicVideo.html
14:23:20 INFO - 156 INFO TEST-OK | dom/media/tests/mochitest/test_peerConnection_basicVideo.html | took 7005ms
14:23:20 INFO - 157 INFO TEST-START | dom/media/tests/mochitest/test_peerConnection_bug1013809.html
14:23:20 INFO - 158 INFO TEST-OK | dom/media/tests/mochitest/test_peerConnection_bug1013809.html | took 5564ms
14:23:20 INFO - 159 INFO TEST-START | dom/media/tests/mochitest/test_peerConnection_bug822674.html
14:23:20 INFO - 160 INFO TEST-OK | dom/media/tests/mochitest/test_peerConnection_bug822674.html | took 1503ms
14:23:20 INFO - 161 INFO TEST-START | dom/media/tests/mochitest/test_peerConnection_bug825703.html
14:24:20 INFO - 162 INFO TEST-OK | dom/media/tests/mochitest/test_peerConnection_bug825703.html | took 5175ms
14:24:20 INFO - 163 INFO TEST-START | dom/media/tests/mochitest/test_peerConnection_bug827843.html
14:24:20 INFO - 164 INFO TEST-OK | dom/media/tests/mochitest/test_peerConnection_bug827843.html | took 4212ms
14:24:20 INFO - 165 INFO TEST-START | dom/media/tests/mochitest/test_peerConnection_bug834153.html
14:24:20 INFO - 166 INFO TEST-OK | dom/media/tests/mochitest/test_peerConnection_bug834153.html | took 3251ms
14:24:20 INFO - 167 INFO TEST-START | dom/media/tests/mochitest/test_peerConnection_callbacks.html
14:24:20 INFO - 168 INFO TEST-OK | dom/media/tests/mochitest/test_peerConnection_callbacks.html | took 4705ms
14:24:20 INFO - 169 INFO TEST-START | dom/media/tests/mochitest/test_peerConnection_capturedVideo.html
14:24:20 INFO - 170 INFO TEST-OK | dom/media/tests/mochitest/test_peerConnection_capturedVideo.html | took 6335ms
14:24:20 INFO - 171 INFO TEST-START | dom/media/tests/mochitest/test_peerConnection_close.html
14:24:20 INFO - 172 INFO TEST-OK | dom/media/tests/mochitest/test_peerConnection_close.html | took 1282ms
14:24:20 INFO - 173 INFO TEST-START | dom/media/tests/mochitest/test_peerConnection_errorCallbacks.html
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Perhaps an ICE timing issue?  Any way to get more useful info?
backlog: --- → webRTC+
Rank: 35
Component: WebRTC → WebRTC: Networking
Priority: -- → P3

Updated

3 years ago
See Also: → bug 1142156
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Mass change P3->P4 to align with new Mozilla triage process.
Priority: P3 → P4

Updated

5 months ago
Status: NEW → RESOLVED
Last Resolved: 5 months ago
Resolution: --- → WORKSFORME

Comment 40

4 months ago
1 failures in 701 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1144961&startday=2018-01-22&endday=2018-01-28&tree=all

Comment 41

21 days ago
29 failures in 551 pushes (0.053 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 29

Platform breakdown:
* linux32: 29

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1144961&startday=2018-04-30&endday=2018-05-06&tree=trunk
You need to log in before you can comment on or make changes to this bug.